CGAL 6.1.2 - 2D Triangulations: ConstrainedTriangulationFaceBase_2 Concept Reference

CGAL 6.1.2 - 2D Triangulations

Loading...
Searching...
No Matches
List of all members
ConstrainedTriangulationFaceBase_2 Concept Reference
Reference Manual » Concepts

## Definition

In a constrained triangulation, the information about constrained edges is stored in the faces of the triangulation. The base face of a constrained triangulation has to be a model of the concept `ConstrainedTriangulationFaceBase_2` which refines the concept `TriangulationFaceBase_2` providing functionalities to deal with constraints.

Refines
  `TriangulationFaceBase_2`

Types

Defines the same types as the `TriangulationFaceBase_2` concept

Has models
  `CGAL::Constrained_triangulation_face_base_2<Traits>`

See also
  `TriangulationFaceBase_2`
  `CGAL::Constrained_triangulation_2<Traits,Tds>`
  `CGAL::Constrained_triangulation_face_base_2<Traits>`

## Access Functions
bool | is_constrained (int i)
| returns `true` if the edge between the face and its neighbor `neighbor(i)` is constrained.

## Modifiers
void | set_constraint (int i, bool b)
| This is an advanced function.
void | set_constraints (bool c0, bool c1, bool c2)
| This is an advanced function.
void | reorient ()
| This is an advanced function.
void | ccw_permute ()
| This is an advanced function.
void | cw_permute ()
| This is an advanced function.

## Miscellaneous
bool | is_valid ()
| This is an advanced function.

## Member Function Documentation

## ◆ ccw_permute()

void ConstrainedTriangulationFaceBase_2::ccw_permute | ( |  | ) |

This is an advanced function.

Advanced

performs a counterclockwise permutation of the vertices, neighbors and constrained status of the face.

## ◆ cw_permute()

void ConstrainedTriangulationFaceBase_2::cw_permute | ( |  | ) |

This is an advanced function.

Advanced

performs a clockwise permutation of the vertices and neighbors and constrained status of the face.

## ◆ is_constrained()

bool ConstrainedTriangulationFaceBase_2::is_constrained | ( | int | i | ) |

returns `true` if the edge between the face and its neighbor `neighbor(i)` is constrained.

Precondition
  \( 0\leq i \leq2\).

## ◆ is_valid()

bool ConstrainedTriangulationFaceBase_2::is_valid | ( |  | ) |

This is an advanced function.

Advanced

tests the validity of the face as a face of a plain triangulation and additionally checks if the edges of the face are consistently marked as constrained or unconstrained edges in the face and its neighbors.

## ◆ reorient()

void ConstrainedTriangulationFaceBase_2::reorient | ( |  | ) |

This is an advanced function.

Advanced

changes the orientation of the face by exchanging `vertex(0)` with `vertex(1)` and `neighbor(0)` with `neighbor(1)` and the corresponding constrained status.

## ◆ set_constraint()

void ConstrainedTriangulationFaceBase_2::set_constraint | ( | int | i,
|  | bool | b
| ) |  |

This is an advanced function.

Advanced

sets the edge between the face and its neighbor `neighbor(i)` as a constrained or unconstrained edge according to `b`.

## ◆ set_constraints()

void ConstrainedTriangulationFaceBase_2::set_constraints | ( | bool | c0,
|  | bool | c1,
|  | bool | c2
| ) |  |

This is an advanced function.

Advanced

sets the status (constrained or unconstrained) of the three edges of the face.